// TEXTEDI.CPP

#include <champ.h>
#include "textedi.rh"

void quitProc ();

void gmain ()
{
   int i = 12345;
   float x = 12345.6789;

   CPFrame f;
   CPModelessDialog dlg( "Ausgabe" );
   CPStatic display( dlg, IDSTATIC );
   CPButton quit( dlg, IDQUIT, quitProc );
   dlg.showModeless();

   display.text()
      << "Dies ist ein mehrzeiliger Text:" << endl << endl
      << "Integer i = " << i << endl
      << setiosflags( ios::fixed )
      << setprecision(2)
      << "Float x = " << x << endl
      << setiosflags( ios::scientific )
      << "Exponentialdarstellung x = " << x << ends;

   CP::run();
}

void quitProc ()
{
   CP::quit();
}



