// TEXTOSTR.CPP

#include <champ.h>
#include "textostr.rh"

void nextProc ();
bool hasClicked = false;

void gmain ()
{
   int i = 12345;
   float x = 12345.6789;

   CPFrame f;
   CPModelessDialog dlg( "Ausgabe" );
   CPStatic display( dlg, IDSTATIC );
   CPButton quit( dlg, IDNEXT, nextProc );
   dlg.showModeless();

   string s = "Dies ist ein mehrzeiliger Text:\n\n";
   display.text() << s.c_str() << ends;

   while ( !hasClicked )
      CP::yield();
   hasClicked = false;

   {
      ostrstream os;
      os << "Integer i = " << i << endl << ends;
      s = s + os.str();
      os.rdbuf()->freeze( 0 );
      display.text() << s.c_str() << ends;
   }

   while ( !hasClicked )
      CP::yield();
   hasClicked = false;

   {
      ostrstream os;
      os << setiosflags( ios::fixed )
         << setprecision(2)
         << "Float x = " << x << endl
         << setiosflags( ios::scientific )
         << "Exponentialdarstellung x = " << x << ends;
      s = s + os.str();
      os.rdbuf()->freeze( 0 );
      display.text() << s.c_str() << ends;
   }

   while ( !hasClicked )
      CP::yield();
}

void nextProc ()
{
   hasClicked = true;
}




